## cask-server 0.6.6+p24.04+vstable+git20251217.0111

=== api/CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(CaskServerLib VERSION ${CASKSERVER_VERSION})

##CMAKE PARTS
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/CaskServer")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/CaskServerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/CaskServerConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX CaskServer
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/caskserver_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/CaskServerConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR})

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/CaskServerConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/CaskServerConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT CaskServerTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE CaskServerTargets.cmake
    NAMESPACE CaskServer::)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== server/src/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR})

set(server_HDRS
    server.h
    modules/powerserver.h
    modules/screenshotserver.h)

set(server_SRCS
    main.cpp
    server.cpp
    modules/powerserver.cpp
    modules/screenshotserver.cpp
    modules/chromeserver.cpp)

qt_add_dbus_adaptor(DBUS_SOURCES modules/org.cask.Power.xml modules/powerserver.h PowerServer)
qt_add_dbus_adaptor(DBUS_SOURCES modules/org.cask.Screenshot.xml modules/screenshotserver.h ScreenshotServer)
qt_add_dbus_adaptor(DBUS_SOURCES modules/org.cask.Chrome.xml modules/chromeserver.h ChromeServer)

set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

add_executable(${PROJECT_NAME}

    ${server_SRCS}
    ${server_HDRS}

    ${DBUS_SOURCES})

#target_include_directories(${PROJECT_NAME} INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/CaskServer>")

target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    CaskServerLib
    Qt6::Core
    Qt6::DBus
    )

install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
cask-server (0.6.6+p24.04+vstable+git20251217.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 01:11:45 +0000

cask-server (0.6.6-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 26 May 2023 13:28:18 +1000

cask-server (0.6.0-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 10:08:09 +0000

## cask-server 0.6.6+p24.04+vunstable+git20251217.0152

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(CaskServerGroup)

set(CASKSERVER_VERSION 0.6.6)

set(REQUIRED_QT_VERSION 6.4)
set(REQUIRED_KF_VERSION 5.240.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(GNUInstallDirs)
include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateQmlTypes)
include(CMakePackageConfigHelpers)
include(KDEPackageAppTemplates)
include(KDECompilerSettings)
include(KDEInstallDirs)
include(KDECMakeSettings)

add_subdirectory(api) #adds mauiman libs
add_subdirectory(server) #adds and installs the dbus service and is a server

=== server/CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

project(CaskServer VERSION ${CASKSERVER_VERSION})

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus)

add_subdirectory(src)

configure_file(org.cask.Server.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.cask.Server.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.cask.Server.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== api/src/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}

    ${CMAKE_CURRENT_SOURCE_DIR}/modules
    ${CMAKE_CURRENT_BINARY_DIR}/modules)

set(caskserver_HDRS
    caskpower.h
    caskscreenshot.h
    caskchrome.h
    serverutils.h
    screenshotinhibit.h
    settingsstore.h)

set(caskserver_SRCS
    caskpower.cpp
    caskscreenshot.cpp
    caskchrome.cpp
    serverutils.cpp
    screenshotinhibit.cpp
    settingsstore.cpp)

add_library(${PROJECT_NAME}
    SHARED
    ${caskserver_SRCS}
    ${caskserver_HDRS})

generate_export_header(${PROJECT_NAME} BASE_NAME CaskServer)

target_include_directories(${PROJECT_NAME}
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/CaskServer>")

target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR};>")

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    Qt6::Core
    Qt6::DBus)

install(FILES
    ${caskserver_HDRS}
    ${CMAKE_CURRENT_BINARY_DIR}/caskserver_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/CaskServer
    COMPONENT Devel)

install(TARGETS ${PROJECT_NAME} EXPORT CaskServerTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
cask-server (0.6.6+p24.04+vunstable+git20251217.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 01:52:19 +0000

=== debian/control ===
Source: cask-server
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               ninja-build,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://github.com/Nitrux/cask-server
Vcs-Git: https://invent.kde.org/neon/neon-packaging/cask-server.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/cask-server
Maintainer: Neon CI <neon@kde.org>

Package: cask-server
Architecture: any
Depends: mauiman, ${misc:Depends}, ${shlibs:Depends}
Description: Public server and API to interface with Cask features for maukit apps.
 This package contains cask-server libraries

Package: cask-server-dev
Architecture: any
Depends: cask-server (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Public server and API to interface with Cask features for maukit apps.
 This package contains cask-server development files

=== debian/watch ===
version=4
opts="filenamemangle=s%archive/refs/tags/v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/Nitrux/cask-server/tags \
   archive/refs/tags/v?(\d[\d.]*)\.tar\.gz
